%global _legacy_common_support 1
Name:		spacefm
Version:	1.0.6
Release:	%mkrel 5
Summary:	A multi-panel tabbed file manager
Group:		File tools
License:	GPLv3+
Url:		http://ignorantguru.github.io/spacefm/
Source0:	https://github.com/IgnorantGuru/spacefm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		spacefm-1.0.6-glibc2.28.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libffmpegthumbnailer)

# To perform 'run as root' functions
Recommends:	gksu

# Eject media
Recommends:	util-linux

# For device processes
Recommends:	lsof

# Mount as non-root user
Recommends:	udisks2

# For plugin download
Recommends:	wget

%description
SpaceFM is a multi-panel tabbed file manager with built-in VFS, udev-based
device manager, customizable menu system, and bash integration.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-gtk3
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%post
%clean_icon_cache Faenza

%postun
%clean_icon_cache Faenza

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%doc data/spacefm-manual-en.html
%{_bindir}/%{name}*
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/spacefm-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/Faenza/apps/*/spacefm*.png


%changelog
* Fri Aug 21 2020 joequant <joequant> 1.0.6-5.mga8
+ Revision: 1617520
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6-4.mga8
+ Revision: 1519156
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 03 2018 wally <wally> 1.0.6-3.mga7
+ Revision: 1317236
- fix build on aarch64

* Sun Sep 09 2018 wally <wally> 1.0.6-2.mga7
+ Revision: 1257930
- add patch to fix build with glibc >= 2.28
- rebuild for aarch64
+ kekepower <kekepower>
- Use make_build

* Tue Mar 06 2018 kekepower <kekepower> 1.0.6-1.mga7
+ Revision: 1206938
- Update to version 1.0.6

* Tue May 02 2017 akien <akien> 1.0.5-2.mga6
+ Revision: 1098321
- Rebuild for ffmpeg 3.3

* Sun Jan 24 2016 daviddavid <daviddavid> 1.0.5-1.mga6
+ Revision: 926806
- new version: 1.0.5

* Sat Nov 07 2015 daviddavid <daviddavid> 1.0.4-1.mga6
+ Revision: 898336
- new version: 1.0.4
- update URL and Source URL
- switch to gtk3
- add BR pkgconfig(libffmpegthumbnailer)
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-3.mga5
+ Revision: 742512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-2.mga5
+ Revision: 689261
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Apr 25 2014 wally <wally> 0.9.4-1.mga5
+ Revision: 618003
- new version 0.9.4
- drop unneeded str fmt patch

* Wed Feb 05 2014 wally <wally> 0.9.3-3.mga5
+ Revision: 583707
- update icon cache in %%post only if it exists

* Wed Feb 05 2014 wally <wally> 0.9.3-2.mga5
+ Revision: 583643
- add post and postun scripts to update Faenza icon cache

* Wed Feb 05 2014 wally <wally> 0.9.3-1.mga5
+ Revision: 583625
- new version 0.9.3
- add str fmt patch from Fedora

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-2.mga4
+ Revision: 523824
- Mageia 4 Mass Rebuild

* Sat May 25 2013 wally <wally> 0.8.7-1.mga4
+ Revision: 427438
- new version 0.8.7
- drop unneeded str fmt patch

* Mon Jan 14 2013 umeabot <umeabot> 0.8.4-2.mga3
+ Revision: 382406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 0.8.4-1.mga3
+ Revision: 336144
- new version 0.8.4
- suggest some pkgs for optional functionality

* Sat Dec 01 2012 wally <wally> 0.8.3-1.mga3
+ Revision: 324236
- imported package spacefm

